integral_constant.hpp File Reference

Forward declares `boost::hana::IntegralConstant`. More...

## Classes

struct | boost::hana::IntegralConstant< C >
| The `IntegralConstant` concept represents compile-time integral values. More...

## Namespaces

| boost::hana
| Namespace containing everything in the library.

## Detailed Description

Forward declares `boost::hana::IntegralConstant`.

Copyright
  Louis Dionne 2013-2017 Distributed under the Boost Software License, Version 1.0. (See accompanying file LICENSE.md or copy at http://boost.org/LICENSE_1_0.txt)